Gentoo Archives: gentoo-commits

From: Sam James <sam@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/aflplusplus/, app-forensics/aflplusplus/files/
Date: Wed, 31 Aug 2022 04:30:29
Message-Id: 1661920003.0e3b20750bc2d021e7540d24433bfbf3afb16890.sam@gentoo
1 commit: 0e3b20750bc2d021e7540d24433bfbf3afb16890
2 Author: Sam James <sam <AT> gentoo <DOT> org>
3 AuthorDate: Wed Aug 31 04:26:43 2022 +0000
4 Commit: Sam James <sam <AT> gentoo <DOT> org>
5 CommitDate: Wed Aug 31 04:26:43 2022 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e3b2075
7
8 app-forensics/aflplusplus: drop 4.00c
9
10 Signed-off-by: Sam James <sam <AT> gentoo.org>
11
12 app-forensics/aflplusplus/Manifest | 1 -
13 app-forensics/aflplusplus/aflplusplus-4.00c.ebuild | 88 ---------------
14 ...lplusplus-4.00c-no-ignore-errors-makefile.patch | 121 --------------------
15 .../files/aflplusplus-4.00c-respect-flags.patch | 122 ---------------------
16 4 files changed, 332 deletions(-)
17
18 diff --git a/app-forensics/aflplusplus/Manifest b/app-forensics/aflplusplus/Manifest
19 index f5ef08b725dc..3a76da8c144b 100644
20 --- a/app-forensics/aflplusplus/Manifest
21 +++ b/app-forensics/aflplusplus/Manifest
22 @@ -1,3 +1,2 @@
23 -DIST aflplusplus-4.00c.tar.gz 2805041 BLAKE2B c1ce15aa9860fc02a7d6f608cae9dd8987b72253b465ea734c721d1b6927e482c31b907aeafe82c00618465227e2e140bfc595151ea5d73037638c3ee630872c SHA512 23a7a4260e581f7c212393e1e14704464bbbc3ff5465b3472db31c6c7f2cd25a9ecc5ad81fad8958c775fcd01b22269085e6c69419a07fbbdb9ec317a3e39beb
24 DIST aflplusplus-4.01c.tar.gz 2818445 BLAKE2B f3699c4b2fabec0ab238277c3b2c7b19b35af7a0b82b14a57c34b8579121cfa0644ef432132cf4a3382547db3faf799d2ab601512ddfb469e4a2246cdb61aa7f SHA512 d2b03ab4ff9538fe0b52aa3ed4778a6e5657d64d6f0e5f75a99305bad69c5179d6b1c882650f19a884a740577acb73dab7cee3d5c9c7b06ff2326ffeba37d1fe
25 DIST aflplusplus-4.02c.tar.gz 2828429 BLAKE2B 0c4d7937626a699bb6768e2f67f369508f7ec131d1170cd48f8650d8081135b466733de34e52f2ac2213c4bd13ab8936b17d3b0f8debf28e8a32ad87d9dcb55d SHA512 f5159a84e0ecd2c260d2d8ce7df33fe4704c664bdf06f193a7fef377d48646e4d921ee90d0b66c7dac02d16e6b1607c6569351aaeea9b2ee3968d22b3f583763
26
27 diff --git a/app-forensics/aflplusplus/aflplusplus-4.00c.ebuild b/app-forensics/aflplusplus/aflplusplus-4.00c.ebuild
28 deleted file mode 100644
29 index 3cc127a6a3d0..000000000000
30 --- a/app-forensics/aflplusplus/aflplusplus-4.00c.ebuild
31 +++ /dev/null
32 @@ -1,88 +0,0 @@
33 -# Copyright 1999-2022 Gentoo Authors
34 -# Distributed under the terms of the GNU General Public License v2
35 -
36 -EAPI=8
37 -
38 -PYTHON_COMPAT=( python3_{8,9,10} )
39 -LLVM_MAX_SLOT=13
40 -inherit toolchain-funcs llvm optfeature python-single-r1
41 -
42 -DESCRIPTION="A fork of AFL, the popular compile-time instrumentation fuzzer"
43 -HOMEPAGE="https://github.com/AFLplusplus/AFLplusplus"
44 -SRC_URI="https://github.com/AFLplusplus/AFLplusplus/archive/${PV}.tar.gz -> ${P}.tar.gz"
45 -S="${WORKDIR}/AFLplusplus-${PV}"
46 -
47 -LICENSE="Apache-2.0"
48 -SLOT="0"
49 -KEYWORDS="amd64 arm64"
50 -IUSE="test"
51 -
52 -REQUIRED_USE="${PYTHON_REQUIRED_USE}"
53 -
54 -# Tests involve heavy use of LD_PRELOAD in some cases
55 -# This isn't compatible with sandbox
56 -RESTRICT="test"
57 -
58 -# It turns out we need Clang too
59 -RDEPEND="${PYTHON_DEPS}
60 - >=sys-devel/llvm-11:=
61 - || (
62 - sys-devel/clang:11
63 - sys-devel/clang:12
64 - sys-devel/clang:13
65 - )
66 - !app-forensics/afl"
67 -DEPEND="${RDEPEND}
68 - test? ( dev-util/cmocka )"
69 -
70 -QA_PREBUILT="usr/share/afl/testcases/others/elf/small_exec.elf"
71 -
72 -PATCHES=(
73 - "${FILESDIR}"/${PN}-4.00c-respect-flags.patch
74 - "${FILESDIR}"/${PN}-4.00c-no-ignore-errors-makefile.patch
75 -)
76 -
77 -llvm_check_deps() {
78 - has_version -b "sys-devel/clang:${LLVM_SLOT}" && \
79 - has_version -b "sys-devel/llvm:${LLVM_SLOT}"
80 -}
81 -
82 -pkg_setup() {
83 - llvm_pkg_setup
84 - python-single-r1_pkg_setup
85 -}
86 -
87 -src_compile() {
88 - emake \
89 - CC="$(tc-getCC)" \
90 - CXX="$(tc-getCXX)" \
91 - CFLAGS_FLTO="" \
92 - PREFIX="${EPREFIX}/usr" \
93 - HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
94 - DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
95 - MAN_PATH="${EPREFIX}/usr/share/man/man8"
96 -}
97 -
98 -src_test() {
99 - emake \
100 - CC="$(tc-getCC)" \
101 - CXX="$(tc-getCXX)"
102 -}
103 -
104 -src_install() {
105 - emake \
106 - CC="$(tc-getCC)" \
107 - CXX="$(tc-getCXX)" \
108 - DESTDIR="${D}" \
109 - PREFIX="${EPREFIX}/usr" \
110 - HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
111 - DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
112 - MAN_PATH="${EPREFIX}/usr/share/man/man8" \
113 - install
114 -}
115 -
116 -pkg_postinst() {
117 - # TODO: Any others?
118 - optfeature "fuzzing with AFL_USE_ASAN" sys-libs/compiler-rt-sanitizers[asan]
119 - optfeature "fuzzing with AFL_USE_MSAN" sys-libs/compiler-rt-sanitizers[msan]
120 -}
121
122 diff --git a/app-forensics/aflplusplus/files/aflplusplus-4.00c-no-ignore-errors-makefile.patch b/app-forensics/aflplusplus/files/aflplusplus-4.00c-no-ignore-errors-makefile.patch
123 deleted file mode 100644
124 index 50d9268ac9bb..000000000000
125 --- a/app-forensics/aflplusplus/files/aflplusplus-4.00c-no-ignore-errors-makefile.patch
126 +++ /dev/null
127 @@ -1,121 +0,0 @@
128 -https://bugs.gentoo.org/800941
129 -
130 ---- a/GNUmakefile
131 -+++ b/GNUmakefile
132 -@@ -310,13 +310,13 @@ all: test_x86 test_shm test_python ready $(PROGS) afl-as llvm gcc_plugin test_bu
133 -
134 - .PHONY: llvm
135 - llvm:
136 -- -$(MAKE) -j4 -f GNUmakefile.llvm
137 -+ $(MAKE) -j4 -f GNUmakefile.llvm
138 - @test -e afl-cc || { echo "[-] Compiling afl-cc failed. You seem not to have a working compiler." ; exit 1; }
139 -
140 - .PHONY: gcc_plugin
141 - gcc_plugin:
142 - ifneq "$(SYS)" "Darwin"
143 -- -$(MAKE) -f GNUmakefile.gcc_plugin
144 -+ $(MAKE) -f GNUmakefile.gcc_plugin
145 - endif
146 -
147 - .PHONY: man
148 -@@ -565,19 +565,19 @@ all_done: test_build
149 - .PHONY: clean
150 - clean:
151 - rm -rf $(PROGS) afl-fuzz-document afl-as as afl-g++ afl-clang afl-clang++ *.o src/*.o *~ a.out core core.[1-9][0-9]* *.stackdump .test .test1 .test2 test-instr .test-instr0 .test-instr1 afl-cs-proxy afl-qemu-trace afl-gcc-fast afl-g++-fast ld *.so *.8 test/unittests/*.o test/unittests/unit_maybe_alloc test/unittests/preallocable .afl-* afl-gcc afl-g++ afl-clang afl-clang++ test/unittests/unit_hash test/unittests/unit_rand *.dSYM
152 -- -$(MAKE) -f GNUmakefile.llvm clean
153 -- -$(MAKE) -f GNUmakefile.gcc_plugin clean
154 -- -$(MAKE) -C utils/libdislocator clean
155 -- -$(MAKE) -C utils/libtokencap clean
156 -+ $(MAKE) -f GNUmakefile.llvm clean
157 -+ $(MAKE) -f GNUmakefile.gcc_plugin clean
158 -+ $(MAKE) -C utils/libdislocator clean
159 -+ $(MAKE) -C utils/libtokencap clean
160 - $(MAKE) -C utils/aflpp_driver clean
161 -- -$(MAKE) -C utils/afl_network_proxy clean
162 -- -$(MAKE) -C utils/socket_fuzzing clean
163 -- -$(MAKE) -C utils/argv_fuzzing clean
164 -- -$(MAKE) -C utils/plot_ui clean
165 -- -$(MAKE) -C qemu_mode/unsigaction clean
166 -- -$(MAKE) -C qemu_mode/libcompcov clean
167 -- -$(MAKE) -C qemu_mode/libqasan clean
168 -- -$(MAKE) -C frida_mode clean
169 -+ $(MAKE) -C utils/afl_network_proxy clean
170 -+ $(MAKE) -C utils/socket_fuzzing clean
171 -+ $(MAKE) -C utils/argv_fuzzing clean
172 -+ $(MAKE) -C utils/plot_ui clean
173 -+ $(MAKE) -C qemu_mode/unsigaction clean
174 -+ $(MAKE) -C qemu_mode/libcompcov clean
175 -+ $(MAKE) -C qemu_mode/libqasan clean
176 -+ $(MAKE) -C frida_mode clean
177 - rm -rf nyx_mode/packer/linux_initramfs/init.cpio.gz nyx_mode/libnyx/libnyx/target/release/* nyx_mode/QEMU-Nyx/x86_64-softmmu/qemu-system-x86_64
178 - ifeq "$(IN_REPO)" "1"
179 - -test -e coresight_mode/coresight-trace/Makefile && $(MAKE) -C coresight_mode/coresight-trace clean || true
180 -@@ -607,20 +607,20 @@ endif
181 -
182 - .PHONY: distrib
183 - distrib: all
184 -- -$(MAKE) -j4 -f GNUmakefile.llvm
185 -+ $(MAKE) -j4 -f GNUmakefile.llvm
186 - ifneq "$(SYS)" "Darwin"
187 -- -$(MAKE) -f GNUmakefile.gcc_plugin
188 -+ $(MAKE) -f GNUmakefile.gcc_plugin
189 - endif
190 -- -$(MAKE) -C utils/libdislocator
191 -- -$(MAKE) -C utils/libtokencap
192 -- -$(MAKE) -C utils/afl_network_proxy
193 -- -$(MAKE) -C utils/socket_fuzzing
194 -- -$(MAKE) -C utils/argv_fuzzing
195 -+ $(MAKE) -C utils/libdislocator
196 -+ $(MAKE) -C utils/libtokencap
197 -+ $(MAKE) -C utils/afl_network_proxy
198 -+ $(MAKE) -C utils/socket_fuzzing
199 -+ $(MAKE) -C utils/argv_fuzzing
200 - # -$(MAKE) -C utils/plot_ui
201 -- -$(MAKE) -C frida_mode
202 -+ $(MAKE) -C frida_mode
203 - ifneq "$(SYS)" "Darwin"
204 - ifeq "$(ARCH)" "aarch64"
205 -- -$(MAKE) -C coresight_mode
206 -+ $(MAKE) -C coresight_mode
207 - endif
208 - ifeq "$(SYS)" "Linux"
209 - -cd nyx_mode && ./build_nyx_support.sh
210 -@@ -651,12 +651,12 @@ endif
211 -
212 - .PHONY: source-only
213 - source-only: all
214 -- -$(MAKE) -j4 -f GNUmakefile.llvm
215 -+ $(MAKE) -j4 -f GNUmakefile.llvm
216 - ifneq "$(SYS)" "Darwin"
217 -- -$(MAKE) -f GNUmakefile.gcc_plugin
218 -+ $(MAKE) -f GNUmakefile.gcc_plugin
219 - endif
220 -- -$(MAKE) -C utils/libdislocator
221 -- -$(MAKE) -C utils/libtokencap
222 -+ $(MAKE) -C utils/libdislocator
223 -+ $(MAKE) -C utils/libtokencap
224 - # -$(MAKE) -C utils/plot_ui
225 - ifeq "$(SYS)" "Linux"
226 - -cd nyx_mode && ./build_nyx_support.sh
227 -@@ -702,9 +702,9 @@ install: all $(MANPAGES)
228 - @if [ -f utils/afl_network_proxy/afl-network-server ]; then $(MAKE) -C utils/afl_network_proxy install; fi
229 - @if [ -f utils/aflpp_driver/libAFLDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLDriver.a $${DESTDIR}$(HELPER_PATH); fi
230 - @if [ -f utils/aflpp_driver/libAFLQemuDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLQemuDriver.a $${DESTDIR}$(HELPER_PATH); fi
231 -- -$(MAKE) -f GNUmakefile.llvm install
232 -+ $(MAKE) -f GNUmakefile.llvm install
233 - ifneq "$(SYS)" "Darwin"
234 -- -$(MAKE) -f GNUmakefile.gcc_plugin install
235 -+ $(MAKE) -f GNUmakefile.gcc_plugin install
236 - endif
237 - ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-gcc
238 - ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-g++
239 ---- a/GNUmakefile.llvm
240 -+++ b/GNUmakefile.llvm
241 -@@ -457,6 +457,7 @@ document:
242 - test_build: $(PROGS)
243 - @echo "[*] Testing the CC wrapper and instrumentation output..."
244 - unset AFL_USE_ASAN AFL_USE_MSAN AFL_INST_RATIO; ASAN_OPTIONS=detect_leaks=0 AFL_QUIET=1 AFL_PATH=. AFL_LLVM_LAF_ALL=1 ./afl-cc $(CFLAGS) $(CPPFLAGS) ./test-instr.c -o test-instr $(LDFLAGS)
245 -+ @test -e test-instr || { echo "[-] Testing CC wrapper failed. You seem not to have a working compiler." ; exit 1; }
246 - ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr0 ./test-instr < /dev/null
247 - echo 1 | ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr1 ./test-instr
248 - @rm -f test-instr
249
250 diff --git a/app-forensics/aflplusplus/files/aflplusplus-4.00c-respect-flags.patch b/app-forensics/aflplusplus/files/aflplusplus-4.00c-respect-flags.patch
251 deleted file mode 100644
252 index 47ccbe008c89..000000000000
253 --- a/app-forensics/aflplusplus/files/aflplusplus-4.00c-respect-flags.patch
254 +++ /dev/null
255 @@ -1,122 +0,0 @@
256 ---- a/GNUmakefile
257 -+++ b/GNUmakefile
258 -@@ -420,7 +420,7 @@ afl-as: src/afl-as.c include/afl-as.h $(COMM_HDR) | test_x86
259 - @ln -sf afl-as as
260 -
261 - src/afl-performance.o : $(COMM_HDR) src/afl-performance.c include/hash.h
262 -- $(CC) $(CFLAGS) -Iinclude $(SPECIAL_PERFORMANCE) -O3 -fno-unroll-loops -c src/afl-performance.c -o src/afl-performance.o
263 -+ $(CC) $(CFLAGS) -Iinclude $(SPECIAL_PERFORMANCE) -fno-unroll-loops -c src/afl-performance.c -o src/afl-performance.o
264 -
265 - src/afl-common.o : $(COMM_HDR) src/afl-common.c include/common.h
266 - $(CC) $(CFLAGS) $(CFLAGS_FLTO) -c src/afl-common.c -o src/afl-common.o
267 ---- a/GNUmakefile.gcc_plugin
268 -+++ b/GNUmakefile.gcc_plugin
269 -@@ -131,18 +131,18 @@ afl-common.o: ./src/afl-common.c
270 - $(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@ $(LDFLAGS)
271 -
272 - ./afl-compiler-rt.o: instrumentation/afl-compiler-rt.o.c
273 -- $(CC) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -fPIC -c $< -o $@
274 -+ $(CC) $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -fPIC -c $< -o $@
275 -
276 - ./afl-compiler-rt-32.o: instrumentation/afl-compiler-rt.o.c
277 - @printf "[*] Building 32-bit variant of the runtime (-m32)... "
278 -- @$(CC) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
279 -+ @$(CC) $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
280 -
281 - ./afl-compiler-rt-64.o: instrumentation/afl-compiler-rt.o.c
282 - @printf "[*] Building 64-bit variant of the runtime (-m64)... "
283 -- @$(CC) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
284 -+ @$(CC) $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
285 -
286 - ./afl-gcc-pass.so: instrumentation/afl-gcc-pass.so.cc | test_deps
287 -- $(CXX) $(CXXEFLAGS) $(PLUGIN_FLAGS) -shared $< -o $@
288 -+ $(CXX) $(CXXEFLAGS) $(PLUGIN_FLAGS) -shared $< -o $@ $(LDFLAGS)
289 - ln -sf afl-cc afl-gcc-fast
290 - ln -sf afl-cc afl-g++-fast
291 - ln -sf afl-cc.8 afl-gcc-fast.8
292 ---- a/GNUmakefile.llvm
293 -+++ b/GNUmakefile.llvm
294 -@@ -438,20 +438,20 @@ afl-llvm-dict2file.so: instrumentation/afl-llvm-dict2file.so.cc instrumentation/
295 -
296 - .PHONY: document
297 - document:
298 -- $(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt.o
299 -- @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -m32 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-32.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
300 -- @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -m64 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-64.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
301 -+ $(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt.o
302 -+ @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -m32 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-32.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
303 -+ @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -m64 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-64.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
304 -
305 - ./afl-compiler-rt.o: instrumentation/afl-compiler-rt.o.c
306 -- $(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -fPIC -c $< -o $@
307 -+ $(CC) $(CFLAGS) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -fPIC -c $< -o $@
308 -
309 - ./afl-compiler-rt-32.o: instrumentation/afl-compiler-rt.o.c
310 - @printf "[*] Building 32-bit variant of the runtime (-m32)... "
311 -- @$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
312 -+ @$(CC) $(CFLAGS) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
313 -
314 - ./afl-compiler-rt-64.o: instrumentation/afl-compiler-rt.o.c
315 - @printf "[*] Building 64-bit variant of the runtime (-m64)... "
316 -- @$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
317 -+ @$(CC) $(CFLAGS) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
318 -
319 - .PHONY: test_build
320 - test_build: $(PROGS)
321 ---- a/custom_mutators/honggfuzz/Makefile
322 -+++ b/custom_mutators/honggfuzz/Makefile
323 -@@ -1,5 +1,6 @@
324 -
325 --CFLAGS = -O3 -funroll-loops -fPIC -Wl,-Bsymbolic
326 -+CFLAGS ?= -O3
327 -+CFLAGS += -funroll-loops -fPIC -Wl,-Bsymbolic
328 -
329 - all: honggfuzz-mutator.so
330 -
331 ---- a/custom_mutators/libfuzzer/Makefile
332 -+++ b/custom_mutators/libfuzzer/Makefile
333 -@@ -1,5 +1,6 @@
334 -
335 --CFLAGS = -g -O3 -funroll-loops -fPIC -fpermissive -std=c++11
336 -+CFLAGS ?= -g -O3
337 -+CFLAGS += -funroll-loops -fpermissive -std=c++11 -fPIC
338 - #CFLAGS = -g -O0 -fPIC -fpermissive -std=c++11
339 - CXX ?= clang++
340 -
341 ---- a/frida_mode/GNUmakefile
342 -+++ b/frida_mode/GNUmakefile
343 -@@ -17,7 +17,6 @@ CFLAGS+=-fPIC \
344 - -D_GNU_SOURCE \
345 - -D_FORTIFY_SOURCE=2 \
346 - -g \
347 -- -O3 \
348 - -funroll-loops \
349 - -ffunction-sections \
350 -
351 ---- a/frida_mode/test/png/persistent/hook/GNUmakefile
352 -+++ b/frida_mode/test/png/persistent/hook/GNUmakefile
353 -@@ -5,11 +5,9 @@ BUILD_DIR:=$(PWD)build/
354 - AFLPP_FRIDA_DRIVER_HOOK_OBJ=$(ROOT)frida_mode/build/frida_hook.so
355 - AFLPP_QEMU_DRIVER_HOOK_OBJ=$(ROOT)frida_mode/build/qemu_hook.so
356 -
357 --CFLAGS+=-O3 \
358 -- -funroll-loops \
359 -+CFLAGS+= -funroll-loops \
360 - -g \
361 -- -fPIC \
362 -- -funroll-loops \
363 -+ -fPIC
364 -
365 - LDFLAGS+=-shared \
366 -
367 ---- a/utils/aflpp_driver/GNUmakefile
368 -+++ b/utils/aflpp_driver/GNUmakefile
369 -@@ -7,7 +7,7 @@ ifneq "" "$(LLVM_BINDIR)"
370 - LLVM_BINDIR := $(LLVM_BINDIR)/
371 - endif
372 -
373 --CFLAGS := -O3 -funroll-loops -g -fPIC
374 -+CFLAGS ?= -O3 -funroll-loops -g -fPIC
375 -
376 - all: libAFLDriver.a libAFLQemuDriver.a aflpp_qemu_driver_hook.so
377 -